summaryrefslogtreecommitdiffstats
path: root/development/ming/ming.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/ming/ming.SlackBuild')
-rw-r--r--development/ming/ming.SlackBuild21
1 files changed, 12 insertions, 9 deletions
diff --git a/development/ming/ming.SlackBuild b/development/ming/ming.SlackBuild
index 3921e70374..0b28ee6d6c 100644
--- a/development/ming/ming.SlackBuild
+++ b/development/ming/ming.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ming
-VERSION=0.4.0.rc1
+VERSION=0.4.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -52,8 +52,10 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# static library is activated because the perl extension needs it
+# Fix a misplaced \" in the php_ext Makefile.in that prevents installation
+patch -p1 < $CWD/php_ext-Makefile.in.patch
+# static library is activated because the perl extension needs it
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -63,14 +65,13 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-static \
--enable-tcl \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
cd php_ext
- make install-strip prefix=$PKG/usr
+ make install DESTDIR=$PKG
cd -
cd py_ext
@@ -83,8 +84,10 @@ cd perl_ext
make install DESTDIR=$PKG
cd -
-mv $PKG/usr/share/man/man3/* $PKG/usr/man/man3/
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+mv $PKG/usr/share/man/man3/* $PKG/usr/man/man3/
rm -rf $PKG/usr/share
# Remove perlocal.pod and .packlist from $PKG
@@ -92,10 +95,10 @@ rm -rf $PKG/usr/share
find $PKG -name "$i" -exec rm -rf {} \;
done
# Remove empty directory
- rm -rf $PKG/usr/lib/perl5/5.8.8/
+ rmdir --parents $PKG/usr/lib/perl5/5.10.0/i486-linux-thread-multi 2>/dev/null || true
)
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)